summaryrefslogtreecommitdiffstats
path: root/source/l/cryfs
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/cryfs')
-rwxr-xr-xsource/l/cryfs/cryfs.SlackBuild3
-rw-r--r--source/l/cryfs/cryfs.gcc13.diff10
2 files changed, 13 insertions, 0 deletions
diff --git a/source/l/cryfs/cryfs.SlackBuild b/source/l/cryfs/cryfs.SlackBuild
index 019ce0f7a..b50e3f90e 100755
--- a/source/l/cryfs/cryfs.SlackBuild
+++ b/source/l/cryfs/cryfs.SlackBuild
@@ -95,6 +95,9 @@ zcat $CWD/27587ea1acec5f939a31217f1c43953378f18821.patch.gz | patch -p1 --verbos
# Boost 1.77.0 fix:
zcat $CWD/041b5baea5a4efceff33df2f316646b47a1cd7c0.patch.gz | patch -p1 --verbose || exit 1
+# Fix for gcc13 in case we're still using this since we don't want conan ;-)
+zcat $CWD/cryfs.gcc13.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
mkdir cmake-build
cd cmake-build
diff --git a/source/l/cryfs/cryfs.gcc13.diff b/source/l/cryfs/cryfs.gcc13.diff
new file mode 100644
index 000000000..ec50e92c2
--- /dev/null
+++ b/source/l/cryfs/cryfs.gcc13.diff
@@ -0,0 +1,10 @@
+--- ./src/cpp-utils/thread/LeftRight.h.orig 2021-04-02 12:08:08.000000000 -0500
++++ ./src/cpp-utils/thread/LeftRight.h 2023-05-02 13:45:16.074519135 -0500
+@@ -4,6 +4,7 @@
+ #include <thread>
+ #include <cpp-utils/macros.h>
+ #include <array>
++#include <stdexcept>
+
+ namespace cpputils {
+